<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ics.admin.mapper.ApplySettleFileMapper">

    <resultMap type="com.ics.admin.domain.ApplySettleFile" id="ApplySettleFilesResult">
        <result property="id"               column="id"/>
        <result property="applySettleId"    column="apply_settle_id"    />
        <result property="fileName"    column="file_name"    />
        <result property="filePath"    column="file_path"    />
    </resultMap>

    <sql id="selectApplySettleFilesVo">
        SELECT id, apply_settle_id, file_name, file_path FROM ics_apply_settle_file
    </sql>


    <delete id="deleteByApplySettleId" parameterType="Long">
        DELETE FROM ics_apply_settle_file WHERE apply_settle_id = #{applySettleId}
    </delete>


</mapper>